Skip to main content
Get Markets
curl --request GET \
  --url https://synthesis.trade/api/v1/markets
{
  "success": true,
  "response": [
    {
      "venue": "polymarket",
      "event": {
        "event_id": 12345,
        "title": "Will Bitcoin reach $100k by end of 2025?",
        "slug": "will-bitcoin-reach-100k-by-end-of-2025",
        "description": "This market resolves to Yes if spot Bitcoin trades at or above $100,000 before 2025 ends.",
        "image": "https://example.com/bitcoin.png",
        "tags": [
          "crypto",
          "bitcoin"
        ],
        "labels": [
          "crypto",
          "macro"
        ],
        "neg_risk": false,
        "active": true,
        "liquidity": 1500000,
        "volume": 5000000,
        "volume24hr": 250000,
        "volume1wk": 900000,
        "volume1mo": 2200000,
        "volume1yr": 5000000,
        "live": {
          "live": false,
          "ended": false
        },
        "created_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      },
      "markets": [
        {
          "event_id": 12345,
          "condition_id": "0xbd71b43bb47eb60dbcb41fa25df2a0ed4da612873d6e0447a2c730bd4cc25910",
          "question": "Will Bitcoin reach $100k?",
          "outcome": "Yes",
          "slug": "will-bitcoin-reach-100k-yes",
          "description": "Buy Yes if you think Bitcoin will trade at or above $100,000 before market expiry.",
          "image": "https://example.com/bitcoin-market.png",
          "left_outcome": "Yes",
          "right_outcome": "No",
          "left_price": "0.65",
          "right_price": "0.35",
          "left_token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
          "right_token_id": "48572956138472615938471625938471659384716593847165938471659384716593847165938",
          "winner_token_id": "",
          "active": true,
          "resolved": false,
          "fees": true,
          "decimals": 6,
          "liquidity": "1500000",
          "volume": "5000000",
          "volume24hr": "250000",
          "volume1wk": "900000",
          "volume1mo": "2200000",
          "volume1yr": "5000000",
          "rewards": {
            "rewards": false
          },
          "created_at": "2026-01-01T00:00:00",
          "updated_at": "2026-01-01T00:00:00",
          "ends_at": "2026-12-31T23:59:59"
        }
      ]
    },
    {
      "venue": "kalshi",
      "event": {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "title": "Bitcoin above $100,000 on Dec 31?",
        "sub_title": "Expires at year end",
        "slug": "bitcoin-above-100000-on-dec-31",
        "image": "https://example.com/kalshi-bitcoin.png",
        "tags": [
          "crypto",
          "bitcoin"
        ],
        "labels": [
          "crypto",
          "macro"
        ],
        "category": "Crypto",
        "active": true,
        "liquidity": 800000,
        "volume": 3000000,
        "live": {
          "is_active": true
        },
        "created_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      },
      "markets": [
        {
          "series_id": "KXBTC",
          "event_id": "KXBTC-25",
          "market_id": "KXBTC-25-T100000",
          "kalshi_id": "T100000",
          "title": "Bitcoin above $100,000?",
          "outcome": "Yes",
          "description": "Resolves Yes if Bitcoin settles above $100,000 on expiration.",
          "image": "https://example.com/kalshi-bitcoin-market.png",
          "left_outcome": "Yes",
          "right_outcome": "No",
          "left_price": "0.58",
          "right_price": "0.42",
          "left_token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
          "right_token_id": "F4r2GpoNU8MBMdKqP6MCBzKEHe2Mt8s5qm4GrFcJQnbJ",
          "winner_token_id": "",
          "active": true,
          "resolved": false,
          "claimable": false,
          "liquidity": "800000",
          "open_interest": "1200000",
          "volume": "3000000",
          "volume24hr": "175000",
          "dflow": {
            "enabled": true
          },
          "jupiter": true,
          "created_at": "2026-01-01T00:00:00",
          "updated_at": "2026-01-01T00:00:00",
          "ends_at": "2026-12-31T23:59:59"
        }
      ]
    }
  ]
}

Query Parameters

venue
string

Filter by venue. Supported values: polymarket or kalshi.

Example:

"polymarket"

sort
string
default:volume

Sort field. Supported values: liquidity, volume, created_at, ends_at, or newest (alias for created_at).

Example:

"ends_at"

order
string
default:DESC

Sort direction. Supported values: ASC or DESC.

Example:

"ASC"

limit
integer
default:100

Maximum events to return. Capped at 250.

Example:

50

offset
integer
default:0

Pagination offset.

Example:

0

min_price
number

Minimum market price.

max_price
number

Maximum market price.

min_ends_at
string

Minimum end timestamp or ISO 8601 date.

max_ends_at
string

Maximum end timestamp or ISO 8601 date.

rewards
boolean
default:false

Only include reward markets.

live
boolean
default:false

Only include live markets.

bonds
boolean
default:false

Only include bond-like markets.

tags
string

Comma-separated label filter.

Example:

"crypto,politics"

markets
boolean
default:true

Include nested markets in the response.

Response

200 - application/json

Unified market list